Bug 187692 - Ability to share and access remote collections
Summary: Ability to share and access remote collections
Status: RESOLVED WORKSFORME
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist with 9 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-20 11:00 UTC by karaluh
Modified: 2013-02-19 12:32 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karaluh 2009-03-20 11:00:23 UTC
Version:            (using KDE 4.2.0)
OS:                Linux
Installed from:    Ubuntu Packages

I listen to music at work and at home. To fully rediscover it :) I need access to my home collection from work, so all the meta information (play count, ratings, tags, labels etc.) can be managed and stored remotely.
Comment 1 Nikolaj Hald Nielsen 2009-03-23 19:50:32 UTC
Its not perfect in that it does not support playcount and statistics, but you could have a look at this: http://kde-apps.org/content/show.php/Amparok?content=98913 It basically allows you to make Amarok appear to be an Ampache server exporting its collection using the Ampache REST API. This allows you to use the Ampache service in another Amarok to connect to it.
Comment 2 karaluh 2009-12-17 13:56:41 UTC
Thank you for the suggestion. There are several other ways to share music over internet. The playcount, ratings, last played, labels and other meta data is what I realy want to access and modify.
Comment 3 Peter C. Ndikuwera 2011-03-03 16:17:52 UTC
See the commit below. Maybe if you use NFS to export your home collection to work it will achieve what you want?
Comment 4 Peter C. Ndikuwera 2011-03-03 16:23:57 UTC
Git commit d57eedc5563b3950446257f09d439aaa3b8c21ee by Peter C. Ndikuwera.
Committed on 03/03/2011 at 16:01.
Pushed by pndiku into branch 'master'.

Fix NFS & SMB/CIFS Remote collection

BUG: 249760
CCBUG: 232976
CCBUG: 171213
CCBUG: 187692

Using Max's Mass Storage Device code as a guide, this commit returns
network-based collections, shared over NFS & SMB/CIFS to the dynamic
collection architecture.

This should re-validate http://amarok.kde.org/wiki/Dynamic_Collection,
which some people have complained to longer applies.

Test it & break it!

M  +3    -3    src/core-impl/collections/db/sql/MountPointManager.cpp     
M  +2    -2    src/core-impl/collections/db/sql/device/CMakeLists.txt     
M  +14   -6    src/core-impl/collections/db/sql/device/nfs/CMakeLists.txt     
M  +77   -30   src/core-impl/collections/db/sql/device/nfs/NfsDeviceHandler.cpp     
M  +12   -8    src/core-impl/collections/db/sql/device/nfs/NfsDeviceHandler.h     
M  +14   -6    src/core-impl/collections/db/sql/device/smb/CMakeLists.txt     
M  +76   -32   src/core-impl/collections/db/sql/device/smb/SmbDeviceHandler.cpp     
M  +11   -7    src/core-impl/collections/db/sql/device/smb/SmbDeviceHandler.h     

http://commits.kde.org/amarok/d57eedc5563b3950446257f09d439aaa3b8c21ee
Comment 5 karaluh 2011-03-04 08:20:06 UTC
Not exactly. I still wouldn't be able to share ratings and playcount. However, since Amarok has the ability to save statistics in the file it might work, I'll give it a shot.
Comment 6 Myriam Schweingruber 2012-02-13 16:27:02 UTC
Any feedback on this? Storing statistics to file should solve the problem AFAIK
Comment 7 karaluh 2012-02-14 07:06:23 UTC
Last time I checked saving statistics to file was very buggy. I plan to retest soon.
Comment 8 Myriam Schweingruber 2013-02-19 12:32:32 UTC
This is solved since quite some time.